Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.teiid
Class VdbSequencer

    java.lang.Object
      org.modeshape.sequencer.teiid.VdbSequencer

All Implemented Interfaces:
  StreamSequencer

    public class VdbSequencer

extends Object
implements StreamSequencer

A sequencer of Teiid Virtual Database (VDB) files.

Constructor Summary
`VdbSequencer()`

Method Summary
`static Name` | `extractVersionInfomation(ExecutionContext context, String fileNameWithoutExtension, AtomicInteger version)` Utility method to extract the version information from a VDB filename.
`protected void` | `registerIfMissing(NamespaceRegistry registry, String prefix, String url)`
`void` | `sequence(InputStream stream, SequencerOutput output, StreamSequencerContext context)` Sequence the data found in the supplied stream, placing the output information into the supplied map.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VdbSequencer

    public VdbSequencer()

Method Detail

### sequence

    public void sequence(InputStream stream,
                         SequencerOutput output,
                         StreamSequencerContext context)

  Sequence the data found in the supplied stream, placing the output information into the supplied map.

  ModeShape's SequencingService determines the sequencers that should be executed by monitoring the changes to one or more workspaces that it is monitoring. Changes in those workspaces are aggregated and used to determine which sequencers should be called. If the sequencer implements this interface, then this method is called with the property that is to be sequenced along with the interface used to register the output. The framework takes care of all the rest.

  Specified by:
    `sequence` in interface `StreamSequencer`
  Parameters:
    `stream` - the stream with the data to be sequenced; never `null`
    `output` - the output from the sequencing operation; never `null`
    `context` - the context for the sequencing operation; never `null`
  See Also:
    `StreamSequencer.sequence(java.io.InputStream, org.modeshape.graph.sequencer.SequencerOutput, org.modeshape.graph.sequencer.StreamSequencerContext)`

### registerIfMissing

    protected void registerIfMissing(NamespaceRegistry registry,
                                     String prefix,
                                     String url)

### extractVersionInfomation

    public static Name extractVersionInfomation(ExecutionContext context,
                                                String fileNameWithoutExtension,
                                                AtomicInteger version)

  Utility method to extract the version information from a VDB filename.

  Parameters:
    `context` - the execution context; may not be null
    `fileNameWithoutExtension` - the filename for the VDB, without its extension; may not be null
    `version` - the reference to the AtomicInteger that will be modified to contain the version
  Returns:
    the Name containing the 'fileNameWithoutExtension' value (without any trailing '.' characters); never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.